📡 Endpoint Overview

A brief summary of of Twilio endpoints

Authentication Token

EndpointDescriptionHTTP Method
/PromoteEndpoint to update primary Auth TokenPOST
/SecondaryEndpoint to create a Secondary Auth TokenPOST
/SecondaryEndpoint to delete secondary Auth TokenDELETE

Account Resources

EndpointDescriptionHTTP Method
/Accounts/{MAIN_ACCOUNT_SID}.jsonEndpoint to retrieve an accountGET
/Accounts.jsonEndpoint to retrieve the set of accounts belonging to the Account used to make the API request.GET
Accounts/{MAIN_ACCOUNT_SID}.jsonEndpoint to update the properties of an account.POST
/Accounts.jsonEndpoint creates a new subaccountPOST
/{SUBACCOUNT_SID}.jsonEndpoint to retrieve a subaccount resource by its account SIDGET
/{SUBACCOUNT_SID}/Messages.jsonEndpoint to send messages from a subaccountPOST
/Accounts.jsonEndpoint to retrieve the subaccount resources with friendly names that match exactly with it.GET
/{SUBACCOUNT_SID}.json Endpoint to update or change the status of a subaccountPOST
/{SUBACCOUNT_SID}/Calls.jsonEndpoint to calculate the billing incurred by a subaccountGET

Phone Numbers

EndpointDescriptionHTTP Method
/{MAIN_ACCOUNT_SID}/AvailablePhoneNumbers/{CountryCode}.jsonEndpoint to fetch a available phone number of a specific countryGET
/AvailablePhoneNumbers.jsonEndpoint to read a list of countriesGET
/AvailablePhoneNumbers/{CountryCode}/Mobile.jsonEndpoint to find Mobile numbersGET
/AvailablePhoneNumbers/{CountryCode}/TollFree.jsonEndpoint to find free toll updateGET
/AvailablePhoneNumbers/{CountryCode}/Local.jsonEndpoint to find available local phone numbers by area codeGET
/{SUBACCOUNT_SID}/Calls.jsonEndpoint to make a call from subaccountPOST
/IncomingPhoneNumbers/{PhoneNumber}.jsonEndpoint to transfer phone numbers from primary account to subaccountPOST
/IncomingPhoneNumbers.jsonEndpoint to provide a phone number and area codePOST
/IncomingPhoneNumbers/{SID}.jsonEndpoint to fetch incoming phone numberGET
/IncomingPhoneNumbers.jsonEndpoint to retrieves all phone number for an accountGET
/IncomingPhoneNumbers/{SID}.jsonEndpoint to update an phone number resourcesPOST
IncomingPhoneNumbers/{SID}.jsonEndpoint to delete phone numberDELETE

Address

EndpointDescriptionHTTP Method
/Addresses.jsonEndpoint to create a new address for an accountPOST